# Class TCefFastCookieVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFCookieVisitor

## Declaration

`type TCefFastCookieVisitor = class(TCefCookieVisitorOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefCookieVisitorOwn
- TCefFastCookieVisitor

## Overview

### Fields

| `FVisitor: TCefCookieVisitorProc;`

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;`
| `constructor Create(const visitor: TCefCookieVisitorProc); reintroduce;`

## Description

### Fields

| `FVisitor: TCefCookieVisitorProc;`
This item has no description.

### Methods

| `function visit(const name, value, domain, path: ustring; secure, httponly, hasExpires: Boolean; const creation, lastAccess, expires: TDateTime; count, total: Integer; same_site : TCefCookieSameSite; priority : TCefCookiePriority; out deleteCookie: Boolean): Boolean; override;`
This item has no description. Showing description inherited from ICefCookieVisitor.visit. Method that will be called once for each cookie. |count| is the 0-based index for the current cookie. |total| is the total number of cookies. Set |deleteCookie| to true (1) to delete the cookie currently being visited. Return false (0) to stop visiting cookies. This function may never be called if no cookies are found.

| `constructor Create(const visitor: TCefCookieVisitorProc); reintroduce;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.